> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/de/exoclick-offentliche-api/api-manual-rate-limiting.md).

# Rate-Limiting

## Allgemeine Anfragelimits

Die API ist auf 150 Anfragen innerhalb von jeweils 60 Sekunden begrenzt. Alle Anfragen werden auf das Gesamtlimit angerechnet. Jede von der API verarbeitete Anfrage enthält Informationen zur Ratenbegrenzung in den HTTP-Headern.

{% hint style="info" %}
**Hinweis**: Die Ratenbegrenzung gilt sowohl für den Benutzernamen als auch für die IP-Adresse. Daher ist ein einzelner Benutzername ebenso auf 150 Anfragen innerhalb von jeweils 60 Sekunden begrenzt wie eine einzelne IP-Adresse.
{% endhint %}

## Anfragelimits für Anmeldungen

Anmeldeanfragen sind begrenzt auf **10 Anfragen innerhalb von jeweils 60 Sekunden**. Alle Anfragen werden auf das Gesamtlimit angerechnet.

{% hint style="info" %}
**Hinweis**: Die IP-Adresse und der Benutzername jeder ausgeführten Statistikabfrage werden auf diese Limits angerechnet.
{% endhint %}

## Anfragelimits für Statistiken

Statistikabfragen sind auf 30 Anfragen pro Minute je IP-Adresse und 25 Anfragen pro Minute je Benutzername begrenzt.

{% hint style="info" %}
**Hinweis**: Die IP-Adresse und der Benutzername jeder ausgeführten Statistikabfrage werden auf diese Limits angerechnet.
{% endhint %}

Wenn Sie sich beispielsweise auf einem einzelnen Computer mit Ihrem Benutzernamen anmelden und 25 Statistikabfragen ausführen, schlägt die nächste Abfrage fehl. Sie können jedoch zu einem anderen Benutzernamen wechseln und 5 weitere Statistikabfragen ausführen, bevor Sie das IP-Adresslimit erreichen.

## Beispiele

### Ratenbegrenzung – Beispiel 1

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

Wird das Ratenlimit überschritten, wird bei allen nachfolgenden Anfragen ein *429 Too Many Requests* HTTP-Fehler ausgelöst, bis das Ratenlimit zurückgesetzt wird. Wie bei einer normalen Anfrage sind die Informationen zur Ratenbegrenzung in den HTTP-Headern verfügbar.

### Ratenbegrenzung – Beispiel 2 (Limit überschritten)

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/de/exoclick-offentliche-api/api-manual-rate-limiting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
